﻿using IgGridCombo.Models;
using Infragistics.Web.Mvc;
using System.Collections.Generic;
using System.Linq;
using System.Web.Mvc;

namespace IgGridCombo.Controllers
{
	public class HomeController : Controller
	{
		public ActionResult Index()
		{
			ViewData["ComboData"] = ComboData();
			return View();
		}
		
		[GridDataSourceAction]
		public ActionResult GetGridData()
		{
			return View(GridData());
		}

		private IQueryable<GridComboModel> GridData()
		{
			List<GridComboModel> ds = new List<GridComboModel>()
			{
				new GridComboModel() { ItemTypeId = 1, ItemDesc = "Description 1", SafeWorkingLoad = "Load 1", InspectionPeriodId = 1 },
				new GridComboModel() { ItemTypeId = 2, ItemDesc = "Description 2", SafeWorkingLoad = "Load 2", InspectionPeriodId = 1 }
			};
			return ds.AsQueryable();
		}

		private IQueryable<IgComboModel> ComboData()
		{
			List<IgComboModel> ds = new List<IgComboModel>()
			{
				new IgComboModel() { InspectionPeriodId = 1, InspectionDesc = "Combo Desc 1" },
				new IgComboModel() { InspectionPeriodId = 2, InspectionDesc = "Combo Desc 2" }
			};
			return ds.AsQueryable();
		}
	}
}